<?php

if (!defined('FORUM'))
	die();
if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');

function gb_check_access()
{
	global $forum_db, $forum_user;
	
	if ($forum_user['g_id'] == FORUM_ADMIN)
	{
        return TRUE;
    }
	
	if ($forum_db->field_exists('users', 'read_only') && $forum_user['read_only'] == '1') 
	{
		return FALSE;
	}

	if ($forum_db->field_exists('users', 'wp_system_restrictions') && preg_match('/read_only/i', $forum_user['wp_system_restrictions'])) 
	{
		return FALSE;
	}
	
	($hook = get_hook('guestbook_fn_check_access')) ? eval($hook) : null;

    return TRUE;
}

function gb_check_reviews_period($user_id) 
{
    global $forum_db, $forum_user, $forum_config;

    if ($forum_config['o_guestbook_posted_period'] == '0' || $user_id == $forum_user['id'] || $forum_user['g_id'] == FORUM_ADMIN)
	{
        return TRUE;
    }
		
	$query = array(
    	'SELECT'	=> 'MAX(date) AS last_review',
    	'FROM'		=> 'guestbook',
		'WHERE'     => 'user_id=\''.$forum_db->escape($user_id).'\' AND poster_id=\''.$forum_db->escape($forum_user['id']).'\''
    );	
    $result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

	if ($forum_db->num_rows($result) > 0) {
	    $entry = $forum_db->fetch_assoc($result);

        $allow_time = $entry['last_review'] + ($forum_config['o_guestbook_posted_period'] * 60);

        if ($allow_time > time()) {
            return FALSE;
        } else {
            return TRUE;
        }
    } else {
        return TRUE;
    }
}

function gb_update_viewed_reviews($user_id) 
{
	global $forum_db;

    $query1 = array(
    	'SELECT'	=> 'id',
		'FROM'		=> 'guestbook',
		'WHERE'		=> 'user_id='.$user_id.' AND read_at=0'
    );
    $result1 = $forum_db->query_build($query1) or error(__FILE__, __LINE__);
			
    if ($forum_db->num_rows($result1) > 0) {
		$viewed_reviews = array(
		    'UPDATE'	=> 'guestbook',
            'SET'		=> 'read_at=1',
			'WHERE'		=> 'user_id='.$user_id
	    );
	    $forum_db->query_build($viewed_reviews) or error(__FILE__, __LINE__);
	}
}

function gb_get_bbcode_panel() 
{
    global $forum_db, $db_type, $forum_config, $smilies;
	
	$query = array(
		'SELECT'	=> 'id',
		'FROM'		=> 'extensions',
	    'WHERE'		=> 'id '.($db_type == 'pgsql' ? 'ILIKE' : 'LIKE').' \''.$forum_db->escape('%bbcode%').'\''
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	
	$instal_ext = array();
	while ($e = $forum_db->fetch_assoc($result))
	{
		$instal_ext[] = $e['id'];
	}

	if (in_array('pun_bbcode', $instal_ext)) {
        define('PUN_BBCODE_BAR_INCLUDE', 1);
	    include FORUM_ROOT.'extensions/pun_bbcode/bar.php';
	    $pun_bbcode_bar = new Pun_bbcode;
	    $pun_bbcode_bar->render();
		
		if (in_array('bbcode_smiles', $instal_ext) && $forum_config['o_smilies'] == '1') {
		    if (!defined('FORUM_PARSER_LOADED'))
			    require FORUM_ROOT.'include/parser.php';
		
		    echo '<div id="bbcode_smilies" style="display:none">';
			    foreach (array_unique($smilies) as $smile_text => $smile_file)
		            {echo '<img onclick="PUNBB.pun_bbcode.insert_text(\' '.$smile_text.' \', \'\');" src="'.FORUM_ROOT.'extensions/bbcode_smiles/img/'.$smile_file.'" alt="'.$smile_text.'" />'."\n";}
		    echo '</div>';
	    }
	}
}

function gb_get_user_reviews_count($user_id)
{
	global $forum_db;

	$user_id = isset($user_id) ? intval($user_id) : 0;
	$black_list = gb_get_ignored_users();

	$query = array(
	   'SELECT'	=> 'COUNT(id)',
	   'FROM'	=> 'guestbook',
	   'WHERE'  => 'user_id='.$user_id.' AND status=0'
    );
	
	if (isset($black_list)) {
		$query['WHERE'] .= ' AND poster_id NOT IN ('.implode(',', $black_list).')';
	}
	
    $result = $forum_db->query_build($query) or error(__FILE__, __LINE__);

    if ($forum_db->num_rows($result) > 0){
	    return $forum_db->result($result);
    } else {
	    return 0;
    }
}

function gb_get_ignored_users()
{
	global $forum_db, $forum_user;

	if (defined('BLACK_LIST_LOADED')) 
	{
	    if (!empty($forum_user['black_list'])) 
		{
            $black_list = unserialize($forum_user['black_list']);
		
		    return $black_list;
		}
    }
}

define('GUESTBOOK_FUNCTIONS_LOADED', 1);
