<?php

if (!defined('FORUM_ROOT'))
	die();

$sort_by = isset($_GET['sort_by']) ? 'sort_by='.$_GET['sort_by'] : '';

if ($section == 'guestbook')
{
	if (!isset($lang_guestbook)) {
	    if (file_exists($ext_info['path'].'/lang/'.$forum_user['language'].'/'.$ext_info['id'].'.php'))
	        require $ext_info['path'].'/lang/'.$forum_user['language'].'/'.$ext_info['id'].'.php';
        else
	        require $ext_info['path'].'/lang/English/'.$ext_info['id'].'.php';
    }
	
	if (!defined('GUESTBOOK_FUNCTIONS_LOADED'))
	    require $ext_info['path'].'/functions.php';
	
	if ($forum_user['id'] == $id)
	    gb_update_viewed_reviews($id);
	
	$black_list = gb_get_ignored_users();
	$check_access = gb_check_access();

	$max_items = 10; //	$forum_user['disp_posts'];
	
	if($sort_by == 'sort_by=all')
		$sort_query = '';
	else if($sort_by == 'sort_by=approved')
		$sort_query = ' AND gb.status=0';
	else if($sort_by == 'sort_by=waiting_moderation')
		$sort_query = ' AND gb.status=1';
	else
		$sort_query = '';
	
	$query = array(
	    'SELECT' => 'count(gb.id)',
    	'FROM'	 => 'guestbook AS gb',
        'WHERE'	 => 'gb.user_id='.$id
    );

	if ($forum_user['id'] == $id || $forum_user['g_id'] == FORUM_ADMIN) {
		if ($sort_query != '')
			$query['WHERE'] .= $sort_query;
	} else {
		$query['WHERE'] .= ' AND (gb.status=1 AND gb.poster_id='.$forum_user['id'].' OR gb.status=0)';
	}
	
	if (isset($black_list)) {
		$query['WHERE'] .= ' AND gb.poster_id NOT IN ('.implode(',', $black_list).')';
	}
	
    $result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	$num_reviews = $forum_db->result($result, 0);

	if ($num_reviews > 0)
    {
	    //Page Navigation
	    $forum_page['num_pages'] = ceil($num_reviews / $max_items);
	    $forum_page['page'] = (!isset($_GET['p']) || !is_numeric($_GET['p']) || $_GET['p'] <= 1 || $_GET['p'] > $forum_page['num_pages']) ? 1 : $_GET['p'];
	    $forum_page['start_from'] = $max_items * ($forum_page['page'] - 1);
	    $forum_page['finish_at'] = min(($forum_page['start_from'] + $max_items), ($num_reviews));
	    $forum_page['items_info'] = generate_items_info($lang_guestbook['Reviews'], ($forum_page['start_from'] + 1), $num_reviews);
	    if ($forum_page['num_pages'] > 1)
		    $forum_page['page_post']['paging'] = '<p class="paging"><span class="pages">'.$lang_guestbook['Pages'].'</span> '.paginate($forum_page['num_pages'], $forum_page['page'], str_replace($base_url,"",forum_link($forum_url['guestbook'], $id)), ' ').'</p>';
    } else {
		$forum_page['start_from'] = 0;
	}
	
	$query1 = array(
	    'SELECT' => 'count(id)',
    	'FROM'	 => 'guestbook',
        'WHERE'	 => 'user_id='.$id
    );
	
	if (isset($black_list)) {
		$query['WHERE'] .= ' AND poster_id NOT IN ('.implode(',', $black_list).')';
	}
	
    $result1 = $forum_db->query_build($query1) or error(__FILE__, __LINE__);
	$total_reviews = $forum_db->result($result1, 0);
	
	if ($forum_user['id'] == $id || $forum_user['g_id'] == FORUM_ADMIN) {
	    $cnt_reviews = $total_reviews;
    } else {
	    $cnt_reviews = $num_reviews;
    }
	
	if (isset($_GET['reply']))
    {
	    if ($check_access == FALSE)
			message($lang_common['Bad request']);
		
		$reply_id = isset($_GET['reply']) ? intval($_GET['reply']) : 0;
		
		unset($forum_page['page_post']['paging']);
		
		if ($reply_id > 0) {
			$query = array(
		        'SELECT'	=> 'g.poster_name',
		        'FROM'		=> 'guestbook AS g',
		        'WHERE'		=> 'g.id='.$reply_id
	        );
	        $result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
			if ($forum_db->num_rows($result) == 0)
		        message($lang_common['Bad request']);
	
			$user_info = $forum_db->fetch_assoc($result);

			$to_user = '[b]'.$user_info['poster_name'].'[/b], ';
			$end_crumbs = sprintf($lang_guestbook['Send reply'], $user_info['poster_name']);
		} else {
			$to_user = '';
			$end_crumbs = $lang_guestbook['Adding review'];
		}

		$forum_page['form_action'] = forum_link($forum_url['guestbook_reply'], array($id, $reply_id));
	    $forum_page['redirect_page'] = forum_link($forum_url['guestbook'], $id);

	    if (isset($_POST['save']))
	    {
		    $errors = array();

	        $message = forum_linebreaks(forum_trim($_POST['req_message']));
	
	        if ($message == '')
		        $errors[] = $lang_guestbook['No message'];

	        if (strlen($message) > $forum_config['o_guestbook_message_max_len'])
		        $errors[] = sprintf($lang_guestbook['Error message length'], forum_number_format($forum_config['o_guestbook_message_max_len']));

            if ($forum_config['o_censoring'] == '1' && censor_words($message) != $message)
		        $errors[] = $lang_guestbook['Error message censor'];
	
	        if ($forum_config['o_guestbook_posted_period'] > 0 && gb_check_reviews_period($id) == FALSE)
		        $errors[] = sprintf($lang_guestbook['Error review period'], $forum_config['o_guestbook_posted_period']);	

            if ($forum_config['p_message_bbcode'] == '1' || $forum_config['o_make_links'] == '1')
	        {
		        if (!defined('FORUM_PARSER_LOADED'))
			        require FORUM_ROOT.'include/parser.php';

		        $message = preparse_bbcode($message, $errors);
	        }
			
			($hook = get_hook('guestbook_in_profile_reply_end_validation')) ? eval($hook) : null;
			
			if (empty($errors)) {
		        if ($user['gb_default_status'] == '1' && $id != $forum_user['id'] && $forum_user['g_id'] != FORUM_ADMIN) {
		            $status = 1;
		        } else {
			        $status = 0;
		        }

		        $query = array(
			        'INSERT'	=> 'user_id, poster_id, poster_name, message, date, status',
			        'INTO'		=> 'guestbook',
			        'VALUES'	=> $id.', '.$forum_user['id'].', \''.$forum_db->escape($forum_user['username']).'\', \''.$forum_db->escape($message).'\', '.time().', '.$status
		        );
		        $forum_db->query_build($query) or error(__FILE__, __LINE__);

                $forum_flash->add_info($lang_guestbook['Review added']);
		        redirect($forum_page['redirect_page'], $lang_guestbook['Review added']);
	        }
	    }

	    $forum_page['fld_count'] = $forum_page['group_count'] = $forum_page['item_count'] = 0;

	    // Setup breadcrumbs
	    $forum_page['crumbs'] = array(
		    array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		    array(sprintf($lang_profile['Users profile'], $user['username']), forum_link($forum_url['user'], $id)),
		    array($lang_guestbook['Guestbook'], forum_link($forum_url['guestbook'], $id)),
		    $end_crumbs
	    );
		
		$forum_page['main_head'] = end($forum_page['crumbs']);

	    define('FORUM_PAGE', 'profile-guestbook_reply');
	    require FORUM_ROOT.'header.php';

	    // START SUBST - <!-- forum_main -->
	    ob_start();
?>
	    <div class="main-subhead">
		    <h2 class="hn"><span><?php echo $forum_page['main_head'] ?></span></h2>
	    </div>
	    <div class="main-content main-frm">
		    <div id="req-msg" class="req-warn ct-box error-box">
			    <p class="important"><?php echo $lang_common['Required warn'] ?></p>
		    </div>
<?php
		    if (empty($errors) && $user['gb_default_status'] == '1' && $id != $forum_user['id'] && $forum_user['g_id'] != FORUM_ADMIN) {
?>
		        <div class="ct-box error-box">
			        <h2 class="warn hn"><?php echo $lang_guestbook['Review sent to moderation'] ?></h2>
		        </div>
<?php
			}
			
			if (!empty($errors)) {
			    $forum_page['errors'] = array();
			    foreach ($errors as $cur_error) {
				    $forum_page['errors'][] = '<li class="warn"><span>'.$cur_error.'</span></li>';
			    }
?>
		        <div class="ct-box error-box">
			        <h2 class="warn hn"><?php echo $lang_guestbook['Review create errors'] ?></h2>
			        <ul class="error-list">
				        <?php echo implode("\n\t\t\t\t", $forum_page['errors'])."\n" ?>
			         </ul>
		        </div>
<?php
		    }
?>
		    <form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo $forum_page['form_action'] ?>">
			    <div class="hidden">
				    <input type="hidden" name="csrf_token" value="<?php echo generate_form_token($forum_page['form_action']) ?>" />
			    </div>
			    <fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				    <legend class="group-legend"><strong></strong></legend>			
<?php

                    if ($forum_user['pun_bbcode_enabled'])
		            {
			            gb_get_bbcode_panel();
		            }

?>
				    <div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
					    <div class="txt-box textarea required">
						    <label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_guestbook['Review'] ?></span></label><br />
						    <div class="txt-input"><span class="fld-input"><textarea id="fld<?php echo $forum_page['fld_count'] ?>" name="req_message" rows="10" cols="65" maxlength="<?php echo $forum_config['o_guestbook_message_max_len'] ?>" required spellcheck="true"><?php echo isset($_POST['req_message']) ? forum_htmlencode($message) : $to_user ?></textarea></span></div>
					    </div>
				    </div>
			    </fieldset>
			    <div class="frm-buttons">
				    <span class="submit primary"><input type="submit" name="save" value="<?php echo $lang_common['Submit'] ?>" /></span>
				    <span class="cancel"><input type="submit" name="cancel" value="<?php echo $lang_common['Cancel'] ?>" onclick="window.location.href = '<?php echo $forum_page['redirect_page'] ?>'; return false;"  formnovalidate /></span>
			    </div>
		    </form>
	    </div>

<?php

	    $tpl_temp = forum_trim(ob_get_contents());
	    $tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	    ob_end_clean();
	    // END SUBST - <!-- forum_main -->

	    require FORUM_ROOT.'footer.php';
    }
 
    else if (isset($_GET['edit_review']))
    {
	    if ($id != $forum_user['id'] && $forum_user['g_id'] != FORUM_ADMIN || $check_access == FALSE)
			message($lang_common['Bad request']);
		
		$review_id = intval($_GET['edit_review']);
		
		unset($forum_page['page_post']['paging']);
		
	    if ($review_id < 1)
		    message($lang_common['Bad request']);

	    $query = array(
		    'SELECT'	=> 'g.poster_name, g.message',
		    'FROM'		=> 'guestbook AS g',
		    'WHERE'		=> 'g.id='.$review_id
	    );
	    $result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	    $cur_review = $forum_db->fetch_assoc($result);

	    if (is_null($cur_review) || $cur_review === false)
		    message($lang_common['Bad request']);
		
		$forum_page['form_action'] = forum_link($forum_url['guestbook_edit'], array($id, $review_id));
	    $forum_page['redirect_page'] = forum_link($forum_url['guestbook'], $id);

	    if (isset($_POST['save']))
	    {
		    $errors = array();

	        $message = forum_linebreaks(forum_trim($_POST['req_message']));
	
	        if ($message == '')
		        $errors[] = $lang_guestbook['No message'];

	        if (strlen($message) > $forum_config['o_guestbook_message_max_len'])
		        $errors[] = sprintf($lang_guestbook['Error message length'], forum_number_format($forum_config['o_guestbook_message_max_len']));

            if ($forum_config['o_censoring'] == '1' && censor_words($message) != $message)
		        $errors[] = $lang_guestbook['Error message censor'];
	
	        if ($forum_config['o_guestbook_posted_period'] > 0 && gb_check_reviews_period($id) == FALSE)
		        $errors[] = sprintf($lang_guestbook['Error review period'], $forum_config['o_guestbook_posted_period']);	

            if ($forum_config['p_message_bbcode'] == '1' || $forum_config['o_make_links'] == '1')
	        {
		        if (!defined('FORUM_PARSER_LOADED'))
			        require FORUM_ROOT.'include/parser.php';

		        $message = preparse_bbcode($message, $errors);
	        }
			
			($hook = get_hook('guestbook_in_profile_edit_end_validation')) ? eval($hook) : null;
		
		    if (empty($errors)) {

		        $query = array(
			        'UPDATE'	=> 'guestbook',
			        'SET'		=> 'message=\''.$forum_db->escape($message).'\'',
			        'WHERE'		=> 'id='.$review_id
		        );
		        $forum_db->query_build($query) or error(__FILE__, __LINE__);

	            $forum_flash->add_info($lang_guestbook['Review edited']);
	            redirect(forum_link($forum_url['guestbook'], $id), $lang_guestbook['Review edited']);
		    }
	    }

	    $forum_page['fld_count'] = $forum_page['group_count'] = $forum_page['item_count'] = 0;

	    // Setup breadcrumbs
	    $forum_page['crumbs'] = array(
		    array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		    array(sprintf($lang_profile['Users profile'], $user['username']), forum_link($forum_url['user'], $id)),
		    array($lang_guestbook['Guestbook'], forum_link($forum_url['guestbook'], $id)),
            sprintf($lang_guestbook['Edit review'], $cur_review['poster_name'])
	    );
		
		$forum_page['main_head'] = end($forum_page['crumbs']);

	    define('FORUM_PAGE', 'profile-guestbook_edit');
	    require FORUM_ROOT.'header.php';

	    // START SUBST - <!-- forum_main -->
	    ob_start();
?>
	    <div class="main-subhead">
		    <h2 class="hn"><span><?php echo $forum_page['main_head'] ?></span></h2>
	    </div>
	    <div class="main-content main-frm">
		    <div id="req-msg" class="req-warn ct-box error-box">
			    <p class="important"><?php echo $lang_common['Required warn'] ?></p>
		    </div>
<?php
		    if (!empty($errors)) {
			    $forum_page['errors'] = array();
			    foreach ($errors as $cur_error) {
				    $forum_page['errors'][] = '<li class="warn"><span>'.$cur_error.'</span></li>';
			    }
?>
		    <div class="ct-box error-box">
			    <h2 class="warn hn"><?php echo $lang_guestbook['Review create errors'] ?></h2>
			    <ul class="error-list">
				    <?php echo implode("\n\t\t\t\t", $forum_page['errors'])."\n" ?>
			    </ul>
		    </div>
<?php
		    }
?>
		    <form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo $forum_page['form_action'] ?>">
			    <div class="hidden">
				    <input type="hidden" name="csrf_token" value="<?php echo generate_form_token($forum_page['form_action']) ?>" />
			    </div>
			    <fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				    <legend class="group-legend"><strong></strong></legend>			
<?php

                    if ($forum_user['pun_bbcode_enabled'])
		            {
			            gb_get_bbcode_panel();
		            }

?>
				    <div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
					    <div class="txt-box textarea required">
						    <label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_guestbook['Review'] ?></span></label><br />
						    <div class="txt-input"><span class="fld-input"><textarea id="fld<?php echo $forum_page['fld_count'] ?>" name="req_message" rows="10" cols="65" maxlength="<?php echo $forum_config['o_guestbook_message_max_len'] ?>" required spellcheck="true"><?php echo isset($_POST['req_message']) ? forum_htmlencode($message) : $cur_review['message'] ?> </textarea></span></div>
					    </div>
				    </div>
			    </fieldset>
			    <div class="frm-buttons">
				    <span class="submit primary"><input type="submit" name="save" value="<?php echo $lang_common['Submit'] ?>" /></span>
				    <span class="cancel"><input type="submit" name="cancel" value="<?php echo $lang_common['Cancel'] ?>" onclick="window.location.href = '<?php echo $forum_page['redirect_page'] ?>'; return false;"  formnovalidate /></span>
			    </div>
		    </form>
	    </div>

<?php

	    $tpl_temp = forum_trim(ob_get_contents());
	    $tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	    ob_end_clean();
	    // END SUBST - <!-- forum_main -->

	    require FORUM_ROOT.'footer.php';
    }
	
	else if (isset($_GET['delete_review']))
    {
	    if ($id != $forum_user['id'] && $forum_user['g_id'] != FORUM_ADMIN || $check_access == FALSE)
			message($lang_common['Bad request']);
		
		$review_id = isset($_GET['delete_review']) ? intval($_GET['delete_review']) : 0;

	    if ($review_id < 1)
		    message($lang_common['Bad request']);

	    $query = array(
		    'DELETE'	=> 'guestbook',
		    'WHERE'		=> 'id=\''.$forum_db->escape( $review_id ).'\''
	    );
	    $forum_db->query_build($query) or error(__FILE__, __LINE__);

	    $forum_flash->add_info($lang_guestbook['Review deleted']);
	    redirect(forum_link($forum_url['guestbook'], $id), $lang_guestbook['Review deleted']);
    }
	
	else if (isset($_GET['approve_review']))
    {
	    if ($id != $forum_user['id'] && $forum_user['g_id'] != FORUM_ADMIN || $check_access == FALSE)
			message($lang_common['Bad request']);
		
		$review_id = isset($_GET['approve_review']) ? intval($_GET['approve_review']) : 0;

	    if ($review_id < 1)
		    message($lang_common['Bad request']);

	    $query = array(
			'UPDATE'	=> 'guestbook',
			'SET'		=> 'status=0',
			'WHERE'		=> 'id='.$review_id
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);

	    $forum_flash->add_info($lang_guestbook['Review approved']);
	    redirect(forum_link($forum_url['guestbook'], $id), $lang_guestbook['Review approved']);
    }
	
	else if (isset($_GET['settings']))
    {
	    if ($id != $forum_user['id'] && $forum_user['g_id'] != FORUM_ADMIN || $check_access == FALSE)
			message($lang_common['Bad request']);
		
		unset($forum_page['page_post']['paging']);
		
		$forum_page['form_action'] = forum_link($forum_url['guestbook_settings'], $id);

	    if (isset($_POST['save']))
	    {
	        $gb_status = (isset($_POST['gb_default_status'])) ? $_POST['gb_default_status'] : 0;
			$gb_visual = (isset($_POST['gb_visual_notification'])) ? 1 : 0;

		    $query = array(
			    'UPDATE'	=> 'users',
			    'SET'		=> 'gb_default_status='.$gb_status.', gb_visual_notification='.$gb_visual,
			    'WHERE'		=> 'id='.$id
		    );
		    $forum_db->query_build($query) or error(__FILE__, __LINE__);

	        $forum_flash->add_info($lang_guestbook['Settings saved']);
	        redirect(forum_link($forum_url['guestbook_settings'], $id), $lang_guestbook['Settings saved']);
	    }

	    // Setup breadcrumbs
	    $forum_page['crumbs'] = array(
		    array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		    array(sprintf($lang_profile['Users profile'], $user['username']), forum_link($forum_url['user'], $id)),
		    array($lang_guestbook['Guestbook'], forum_link($forum_url['guestbook'], $id)),
		    $lang_guestbook['Settings']
	    );

	    define('FORUM_PAGE', 'profile-guestbook_settings');
	    require FORUM_ROOT.'header.php';

	    // START SUBST - <!-- forum_main -->
	    ob_start();
?>
	    <div class="main-subhead mg-submenu">
		    <ul>
		        <li class="first-item normal"><a href="<?php echo forum_link($forum_url['guestbook'], $id) ?>"><?php echo $lang_guestbook['Guestbook'] ?></a></li>
	            <li class="active"><a href="<?php echo forum_link($forum_url['guestbook_settings'], $id) ?>"><?php echo $lang_guestbook['Settings'] ?></a></li>
		    </ul>
	    </div>
	    <div class="main-content main-frm">
		    <div class="content-head">
			    <h3 class="hn">
				    <span><?php echo $lang_guestbook['Guestbook settings']; ?></span>
			    </h3>
		    </div>
	        <form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo $forum_page['form_action'] ?>">
			    <div class="hidden">
				    <input type="hidden" name="csrf_token" value="<?php echo generate_form_token($forum_page['form_action']) ?>" />
			    </div>
			    <div class="sf-set set">
		            <div class="sf-box select">
			        <label for="fld"><span><strong><?php echo $lang_guestbook['Premoderation reviews'] ?></span></strong></label><br />
			            <span class="fld-input"><select id="gb_default_status" name="gb_default_status">
				            <option value="0"<?php if ($user['gb_default_status'] == 0) echo ' selected="selected"' ?>><?php echo $lang_guestbook['Publish reviews right away'] ?></option>
				            <option value="1"<?php if ($user['gb_default_status'] == 1) echo ' selected="selected"' ?>><?php echo $lang_guestbook['Send to moderation'] ?></option>
			            </select></span>
		            </div>
	            </div>
			    <div class="sf-set set">
				    <div class="sf-box checkbox">
					    <span class="fld-input"><input type="checkbox" id="gb_visual_notification" name="gb_visual_notification" value="1"<?php if ($user['gb_visual_notification'] == '1') echo ' checked="checked"' ?> /></span>
					    <label for="fld"><span><?php echo $lang_guestbook['Visual notification'] ?></span><?php echo $lang_guestbook['Show visual notification'] ?></label>
				    </div>
			    </div>
			    <div class="frm-buttons">
				    <span class="submit primary"><input type="submit" name="save" value="<?php echo $lang_guestbook['Save'] ?>" /></span>
			    </div>
		    </form>
	    </div>

<?php

	    $tpl_temp = forum_trim(ob_get_contents());
	    $tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	    ob_end_clean();
	    // END SUBST - <!-- forum_main -->

	    require FORUM_ROOT.'footer.php';
    }

	// Setup breadcrumbs
	$forum_page['crumbs'] = array(
		array($forum_config['o_board_title'], forum_link($forum_url['index'])),
		array(sprintf($lang_profile['Users profile'], $user['username']), forum_link($forum_url['user'], $id)),
		$lang_guestbook['Guestbook']
	);

	$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;

	define('FORUM_PAGE', 'profile-guestbook');
	require FORUM_ROOT.'header.php';

	// START SUBST - <!-- forum_main -->
	ob_start();

if ($cnt_reviews > 0) { 
 
	$query = array(
		'SELECT'	=> 'gb.id, gb.user_id, gb.poster_id, gb.poster_name AS username, gb.message, gb.date, gb.status, u.title, u.num_posts, u.avatar, u.avatar_width, u.avatar_height, g.g_id, g.g_user_title',
		'FROM'		=> 'guestbook AS gb',
		'JOINS'		=> array(
			array(
				'LEFT JOIN'	=> 'users AS u',
				'ON'		=> 'u.id=gb.poster_id',
			),
			array(
				'INNER JOIN' => 'groups AS g',
				'ON'		 => 'g.g_id=u.group_id'
			),
		),
		'WHERE'     => 'gb.user_id='.$id,
		'ORDER BY'	=> 'date DESC',
		'LIMIT'		=> $forum_page['start_from'].', '.$max_items
	);
	
	if ($forum_user['id'] == $id || $forum_user['g_id'] == FORUM_ADMIN) {
		if ($sort_query != '')
			$query['WHERE'] .= $sort_query;
	} else {
		$query['WHERE'] .= ' AND (gb.status=1 AND gb.poster_id='.$forum_user['id'].' OR gb.status=0)';
	}
	
	if (isset($black_list)) {
		$query['WHERE'] .= ' AND gb.poster_id NOT IN ('.implode(',', $black_list).')';
	}
	
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	        
	if ($forum_user['id'] == $id || $forum_user['g_id'] == FORUM_ADMIN) {	
?>		
	    <div class="main-subhead mg-submenu">
		    <ul>
		        <li class="first-item active"><a href="<?php echo forum_link($forum_url['guestbook'], $id) ?>"><?php echo $lang_guestbook['Guestbook'] ?></a></li>
	            <li class="normal"><a href="<?php echo forum_link($forum_url['guestbook_settings'], $id) ?>"><?php echo $lang_guestbook['Settings'] ?></a></li>
		    </ul>
		
<?php	        
	        if ($total_reviews > 1) {	
?>	
		        <select id="reviews_sort_by" onchange="Reviews_sort_by(this)" url="<?php echo forum_link($forum_url['guestbook_sort_by'], $id) ?>">
			        <option value="sort_by=all"<?php if ($sort_query == '') echo ' selected="selected"' ?>><?php echo $lang_guestbook['Show all reviews'] ?></option>
			        <option value="sort_by=approved"<?php if ($sort_query == ' AND gb.status=0') echo ' selected="selected"' ?>><?php echo $lang_guestbook['Show approved reviews'] ?></option>
		            <option value="sort_by=waiting_moderation"<?php if ($sort_query == ' AND gb.status=1') echo ' selected="selected"' ?>><?php echo $lang_guestbook['Waiting for moderation'] ?></option>
		        </select>
		</div>
<?php	        
	    }
    } else {	
?>	
        <div class="main-subhead">
		    <h2 class="hn"><span><?php echo $lang_guestbook['Guestbook'] ?></span></h2>	
		</div>
<?php	        
	}	
?>
	<div class="main-content main-frm">
		<div class="content-head" style="margin-bottom: 13px;">
			<h3 class="hn">
				<span><?php echo $lang_guestbook['List of reviews']; ?></span>
				<span style="float:right;"><?php echo sprintf($lang_guestbook['All reviews'], $num_reviews) ?></span>
			</h3>
		</div>
<?php

    if ($forum_db->num_rows($result) > 0) {
	    if (!defined('FORUM_PARSER_LOADED'))
		    require FORUM_ROOT.'include/parser.php';
	
	    $i = isset($_GET['p']) ? $max_items * ($forum_page['page']-1)+1 : '1';
	    while ($msg = $forum_db->fetch_assoc($result)) {

		    $message = parse_message($msg['message'], 0);
			$quick_nick = ($msg['poster_id'] != $forum_user['id'] && $check_access == TRUE) ? '<a class="st_reply" href="'.forum_link($forum_url['guestbook_reply'], array($id, $msg['id'])).'" title="'.$lang_guestbook['Reply'].'">&dArr;</a>' : '';
		    $poster = (($msg['username'] != '') ? '<a href="'.forum_link($forum_url['user'], $msg['poster_id']).'"><strong>'.forum_htmlencode($msg['username']).'</strong></a> '.$quick_nick.'' : $lang_guestbook['Deleted poster']);
		
		    $no_avatar = '<img src="'.$base_url.'/extensions/guestbook_in_profile/css/no_avatar.jpg" alt="No avatar">';
		    if ($forum_config['o_avatars'] == '1' && $forum_user['show_avatars'] != '0') {
			    $u_avatar = generate_avatar_markup($msg['poster_id'], $msg['avatar'], $msg['avatar_width'], $msg['avatar_height'], $msg['username']);
			    if (!empty($u_avatar)) { $user_avatar = $u_avatar; } else { $user_avatar = $no_avatar; }
		    } else {
		        $user_avatar = $no_avatar;
	        }
?>
	    
		    <div class="entry" status="<?php if ($msg['status'] == '1') echo 1; else echo 0; ?>">
			    <div class="entry__text-wrap">
				    <div class="entry__text-head"><?php echo $poster; ?><span><?php echo format_time($msg['date']) ?></span></div>
				    <div class="entry__text-body">
				        <div class="comment_photo">
		                    <?php echo $user_avatar; ?>
                            <div class="user_title"><strong><?php echo get_title($msg) ?></strong></div>
					    </div>
				    </div>
				    <div class="entry__text"><?php echo $message; ?></div>
<?php
	            if ($check_access == TRUE) {
?>                    
					<div class="entry_moderate"><?php if ($msg['user_id'] == $id && $id == $forum_user['id'] && $msg['status'] == '1') echo '<a class="st_mod" href="'.forum_link($forum_url['guestbook_approve'], array($id, $msg['id'])).'">'.$lang_guestbook['Approve'].'</a>'; ?> <?php if ($msg['user_id'] == $id && $id == $forum_user['id'] && $msg['g_id'] != FORUM_ADMIN || $forum_user['g_id'] == FORUM_ADMIN) echo '<a class="st_mod" href="'.forum_link($forum_url['guestbook_edit'], array($id, $msg['id'])).'">'.$lang_guestbook['Edit'].'</a>'; ?> <?php if ($msg['user_id'] == $id && $id == $forum_user['id'] && $msg['g_id'] != FORUM_ADMIN || $forum_user['g_id'] == FORUM_ADMIN) echo '<a class="st_mod" href="'.forum_link($forum_url['guestbook_delete'], array($id, $msg['id'])).'">'.$lang_guestbook['Delete'].'</a>'; ?></div>					
<?php
	            }
?>			    
				</div>
		    </div>

<?php
	    $i++;
	    }
	} else {
?>		
		<div class="ct-box info-box"><span><?php echo $lang_guestbook['No reviews found'] ?></span></div>
<?php		
	}
?>	
	    <script>
            function Reviews_sort_by(sel) {
	            var url = sel.getAttribute('url');
	            var sort_by = sel.value;
	            window.location.replace(url + sort_by)
            }
        </script>
<?php
} else {	        
	if ($forum_user['id'] == $id || $forum_user['g_id'] == FORUM_ADMIN) {	
?>		
		<div class="main-subhead mg-submenu">
		    <ul>
		        <li class="first-item active"><a href="<?php echo forum_link($forum_url['guestbook'], $id) ?>"><?php echo $lang_guestbook['Guestbook'] ?></a></li>
	            <li class="normal"><a href="<?php echo forum_link($forum_url['guestbook_settings'], $id) ?>"><?php echo $lang_guestbook['Settings'] ?></a></li>
		    </ul>
		</div>
<?php
    } else {	
?>	
        <div class="main-subhead">
		    <h2 class="hn"><span><?php echo $lang_guestbook['Guestbook'] ?></span></h2>	
		</div>
<?php	        
	}	
?>
	    <div class="main-content main-frm">
		    <div class="content-head" style="margin-bottom: 13px;">
			    <h3 class="hn">
				    <span><?php echo $lang_guestbook['List of reviews']; ?></span>
				    <span style="float:right;"><?php echo sprintf($lang_guestbook['All reviews'], $num_reviews) ?></span>
			    </h3>
		    </div>
		    <div class="ct-box info-box"><span><?php echo $lang_guestbook['No reviews found'] ?></span></div>
<?php
}
	if ($forum_user['id'] != $id && $check_access == TRUE) {
?>
	    <div class="frm-buttons">
			<span class="submit primary"><input type="submit" value="<?php echo $lang_guestbook['Add review'] ?>" onclick="window.location.href = '<?php echo forum_link($forum_url['guestbook_reply'], array($id, 0)) ?>'; return false;" /></span>
		</div>
<?php
	}
?>
	</div>
<?php

	$tpl_temp = forum_trim(ob_get_contents());
	$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
	ob_end_clean();
	// END SUBST - <!-- forum_main -->

	require FORUM_ROOT.'footer.php';
}
