<?php
if (!defined('FORUM_ROOT'))
	die();

if ($forum_user['is_guest'])
	message($lang_common['No permission']);

if (!isset($lang_guestbook)) {
	if (file_exists($ext_info['path'].'/lang/'.$forum_user['language'].'/'.$ext_info['id'].'.php'))
	    require $ext_info['path'].'/lang/'.$forum_user['language'].'/'.$ext_info['id'].'.php';
    else
	    require $ext_info['path'].'/lang/English/'.$ext_info['id'].'.php';
}

if (!defined('GUESTBOOK_FUNCTIONS_LOADED'))
	require $ext_info['path'].'/functions.php';

$user_id = isset($_GET['user_id']) ? intval($_GET['user_id']) : 0;

if ($user_id > 1) {
	$query = array(
		'SELECT'	=> 'u.username, u.gb_enable',
		'FROM'		=> 'users AS u',
		'WHERE'		=> 'u.id='.$user_id
	);
	$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
	if ($forum_db->num_rows($result) == 0)
		message($lang_common['Bad request']);
	
	$u_info = $forum_db->fetch_assoc($result);
	
	if ($u_info['gb_enable'] == '0')
		message($lang_common['Bad request']);
	
	$username = $u_info['username'];

	$forum_page['form_action'] = forum_link($forum_url['guestbook_review'], $user_id);
	$forum_page['redirect_page'] = forum_link($forum_url['guestbook'], $user_id);
} else
	message($lang_common['Bad request']);

if (isset($_POST['cancel']))
	redirect($forum_page['redirect_page'], $lang_common['Cancel redirect']);

if (isset($_POST['form_sent']))
{
	$errors = array();

	$message = forum_linebreaks(forum_trim($_POST['req_message']));
	
	if ($message == '')
		$errors[] = $lang_guestbook['No message'];

	if (strlen($message) > $forum_config['o_guestbook_message_max_len'])
		$errors[] = sprintf($lang_guestbook['Error message length'], forum_number_format($forum_config['o_guestbook_message_max_len']));

    if ($forum_config['o_censoring'] == '1' && censor_words($message) != $message)
		$errors[] = $lang_guestbook['Error message censor'];
	
	if ($forum_config['o_guestbook_posted_period'] > 0 && gb_check_reviews_period($user_id) == FALSE)
		$errors[] = sprintf($lang_guestbook['Error review period'], $forum_config['o_guestbook_posted_period']);	

    if ($forum_config['p_message_bbcode'] == '1' || $forum_config['o_make_links'] == '1')
	{
		if (!defined('FORUM_PARSER_LOADED'))
			require FORUM_ROOT.'include/parser.php';

		$message = preparse_bbcode($message, $errors);
	}	

	if (empty($errors)) {
		$query = array(
			'SELECT'	=> 'gb_default_status',
			'FROM'		=> 'users',
			'WHERE'		=> 'id='.$user_id
		);
		$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
		$user_info = $forum_db->fetch_assoc($result);

		if (!$user_info)
			message($lang_common['Bad request']);
		
		if ($user_info['gb_default_status'] == '1' && $forum_user['g_id'] != FORUM_ADMIN) {
		    $status = 1;
		} else {
			$status = 0;
		}

		$query = array(
			'INSERT'	=> 'user_id, poster_id, poster_name, message, date, status',
			'INTO'		=> 'guestbook',
			'VALUES'	=> $user_id.', '.$forum_user['id'].', \''.$forum_db->escape($forum_user['username']).'\', \''.$forum_db->escape($message).'\', '.time().', '.$status
		);
		$forum_db->query_build($query) or error(__FILE__, __LINE__);

		$forum_flash->add_info($lang_guestbook['Review sent']);
		redirect($forum_page['redirect_page'], $lang_guestbook['Review sent']);
	}
}

$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;

$forum_page['hidden_fields'] = array(
	'form_sent'		=> '<input type="hidden" name="form_sent" value="1" />',
	'csrf_token'	=> '<input type="hidden" name="csrf_token" value="'.generate_form_token($forum_page['form_action']).'" />'
);

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_guestbook['Guestbook'], forum_link($forum_url['guestbook'], $user_id)),
    sprintf($lang_guestbook['Send review'], $username)
);

$forum_page['main_head'] = end($forum_page['crumbs']);

define('FORUM_PAGE', 'guestbook-report');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

?>
	<div class="main-head">
		<h2 class="hn"><span><?php echo $forum_page['main_head'] ?></h2>
	</div>
	<div class="main-subhead">
		<h2 class="hn"><span>Новый отзыв</span></h2>
	</div>
	<div class="main-content main-frm">
		<div id="req-msg" class="req-warn ct-box error-box">
			<p class="important"><?php echo $lang_common['Required warn'] ?></p>
		</div>
<?php
		if (!empty($errors)) {
			$forum_page['errors'] = array();
			foreach ($errors as $cur_error) {
				$forum_page['errors'][] = '<li class="warn"><span>'.$cur_error.'</span></li>';
			}
?>
		<div class="ct-box error-box">
			<h2 class="warn hn"><?php echo $lang_guestbook['Review create errors'] ?></h2>
			<ul class="error-list">
				<?php echo implode("\n\t\t\t\t", $forum_page['errors'])."\n" ?>
			</ul>
		</div>
<?php
		}
?>
		<form id="afocus" class="frm-form" method="post" accept-charset="utf-8" action="<?php echo $forum_page['form_action'] ?>">
			<div class="hidden">
				<?php echo implode("\n\t\t\t\t", $forum_page['hidden_fields'])."\n" ?>
			</div>
			<fieldset class="frm-group group<?php echo ++$forum_page['group_count'] ?>">
				<legend class="group-legend"><strong></strong></legend>			
<?php

        if ($forum_user['pun_bbcode_enabled'])
		{
			gb_get_bbcode_panel();
		}

?>
				<div class="txt-set set<?php echo ++$forum_page['item_count'] ?>">
					<div class="txt-box textarea required">
						<label for="fld<?php echo ++$forum_page['fld_count'] ?>"><span><?php echo $lang_guestbook['Review'] ?></span></label><br />
						<div class="txt-input"><span class="fld-input"><textarea id="fld<?php echo $forum_page['fld_count'] ?>" name="req_message" rows="10" cols="65" maxlength="<?php echo $forum_config['o_guestbook_message_max_len'] ?>" required spellcheck="true"><?php echo isset($_POST['req_message']) ? forum_htmlencode($message) : '' ?></textarea></span></div>
					</div>
				</div>
			</fieldset>
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="submit" value="<?php echo $lang_common['Submit'] ?>" /></span>
				<span class="cancel"><input type="submit" name="cancel" value="<?php echo $lang_common['Cancel'] ?>" formnovalidate /></span>
			</div>
		</form>
	</div>
<?php

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
 
